<div class="stepper-container">
  <mat-stepper
    #stepper
    class="stepper"
    linear
    [orientation]="(stepperOrientation | async)!"
  >
    <mat-step
      label="Base Data"
      [state]="stepsCompleted.first ? 'visibility' : 'create'"
      [completed]="stepsCompleted.first"
    >
      <app-step-one
        [stepper]="stepper"
        [handleUpdateStepper]="handleUpdateStepper"
        [mode]="mode"
        [stepsCompleted]="stepsCompleted"
        [handleUpdateStepsCompleted]="handleUpdateStepsCompleted"
        [offer]="offer"
        [handleUpdateOffer]="handleUpdateOffer"
        [offersData]="offersData"
        [handleUpdateOffersData]="handleUpdateOffersData"
      ></app-step-one>
    </mat-step>
    <mat-step
      label="Product"
      [state]="stepsCompleted.second ? 'visibility' : 'create'"
      [completed]="stepsCompleted.second"
    >
      <app-step-two
        [stepper]="stepper"
        [handleUpdateStepper]="handleUpdateStepper"
        [mode]="mode"
        [stepsCompleted]="stepsCompleted"
        [handleUpdateStepsCompleted]="handleUpdateStepsCompleted"
        [offer]="offer"
        [handleUpdateOffer]="handleUpdateOffer"
        [offersData]="offersData"
        [handleUpdateOffersData]="handleUpdateOffersData"
      ></app-step-two>
    </mat-step>
    <mat-step
      label="Calculation Results"
      [state]="stepsCompleted.third ? 'visibility' : 'create'"
      [completed]="stepsCompleted.third"
    >
      <app-step-three [offer]="offer"></app-step-three>
    </mat-step>
    <mat-step
      label="Review"
      [state]="stepsCompleted.fourth ? 'visibility' : 'create'"
      [completed]="stepsCompleted.fourth"
    >
      <app-step-four
        [stepper]="stepper"
        [handleUpdateStepper]="handleUpdateStepper"
        [mode]="mode"
        [stepsCompleted]="stepsCompleted"
        [handleUpdateStepsCompleted]="handleUpdateStepsCompleted"
        [offer]="offer"
        [handleUpdateOffer]="handleUpdateOffer"
        [offersData]="offersData"
        [handleUpdateOffersData]="handleUpdateOffersData"
        [completionMessage]="completionMessage"
      ></app-step-four>
    </mat-step>
  </mat-stepper>
  @if(fullScreen && (stepperOrientation | async) === 'horizontal'){<button
    class="full-screen-button"
    mat-icon-button
    aria-label="Close full screen button"
    matTooltip="Close full screen"
    (click)="toggleFullScreen()"
  >
    <mat-icon>close_fullscreen</mat-icon>
  </button>
  }@else if ((stepperOrientation | async) === 'horizontal' &&
  isFullScreenEnabled()) {
  <button
    class="full-screen-button"
    mat-icon-button
    aria-label="Open stepper in full screen button"
    matTooltip="Open stepper in full screen"
    (click)="toggleFullScreen()"
  >
    <mat-icon>fullscreen</mat-icon>
  </button>
  }
  <button
    class="close-stepper-button"
    mat-icon-button
    aria-label="Close stepper button"
    matTooltip="Close stepper"
    (click)="handleCloseStepper()"
  >
    <mat-icon>close</mat-icon>
  </button>
</div>
